Subject: Re: [PATCH v2] help: interpret boolean string values for help.autocorrect

From: Junio C Hamano <[email-masked]>
Date: Fri, 10 Jan 2025 07:02:16 -0800

Jeff King <[email-masked]> writes:

> It's not corrupted; that syntax is allowed for boolean variables[1]. The
> "bad config line" is due to the early "return config_error_nonbool(var)"
> quoted above. It is passing the error back to the general config code,
> which then just prints the "bad config" line.
>
> I think what Junio is saying is that if we are going to turn this into
> an option which accepts bool values, it should accept this special
> syntax, too. And that first "if (!value)" has to either go away (and get
> replace by a maybe_bool() call, as mentioned earlier) or has to set
> AUTOCORRECT_IMMEDIATELY itself.

Exactly.

Thanks for filling the blank in for me while I was away from the
keyboard ;-)